﻿
/* http://css-tricks.com/examples/ButtonMaker */


/* Implementazione jQuery dei bottoni animati */ 

/* classe che definisce la forma ed i font del bottone */ 
div.rvj-button 
{
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    border-radius: 8px;
    -webkit-box-shadow: rgba(0,0,0,1) 0 1px 0;
    -moz-box-shadow: rgba(0,0,0,1) 0 1px 0;
    box-shadow: rgba(0,0,0,1) 0 1px 0;
    /* text-shadow: rgba(0,0,0,.4) 0 1px 0; */
    /* font-family: Helvetica, Arial, Sans-Serif; */
    text-decoration: none;
    vertical-align: middle;
    padding: 6px;    
}
a.rvj-button { display: inline-block; text-decoration: none; }
a.rvj-button:link { color: inherit; text-decoration: none; cursor: pointer; }
a.rvj-button:visited { color: inherit;text-decoration: none;}
a.rvj-button:hover{ text-decoration: none; cursor: pointer; }



.gradient-grey 
{
    background: #FFFFFF;
    background-color: #FFFFFF;
    background: -webkit-gradient(linear, left top, left bottom, from(#CCCCCC), to(#FFFFFF));
    background: -webkit-linear-gradient(top, #CCCCCC, #FFFFFF);
    background: -moz-linear-gradient(top, #CCCCCC, #FFFFFF);
    background: -o-linear-gradient(top, #CCCCCC, #FFFFFF);
    background: -ms-linear-gradient(top, #CCCCCC, #FFFFFF);
    -ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr=#CCCCCC, endColorstr=#FFFFFF, GradientType=1)";
    filter: progid:DXImageTransform.Microsoft.Gradient(StartColorStr='#CCCCCC', EndColorStr='#FFFFFF', GradientType=0);
    color: #FFFFFF;
}
.gradient-red     
{
    /* border-top: 1px solid #f5a4a4; */
    background: #3c3c3c;
    background-color: #3c3c3c;
    background: -webkit-gradient(linear, left top, left bottom, from(#c82828), to(#3c3c3c));
    background: -webkit-linear-gradient(top, #c82828, #3c3c3c);
    background: -moz-linear-gradient(top, #c82828, #3c3c3c);
    background: -ms-linear-gradient(top, #c82828, #3c3c3c);
    background: -o-linear-gradient(top, #c82828, #3c3c3c);
    color: #FFFFFF;
}






.rvbutton-blue
{
    border-top: 1px solid #96d1f8;
    background: #65a9d7;
    background: -webkit-gradient(linear, left top, left bottom, from(#3e779d), to(#65a9d7));
    background: -webkit-linear-gradient(top, #3e779d, #65a9d7);
    background: -moz-linear-gradient(top, #3e779d, #65a9d7);
    background: -ms-linear-gradient(top, #3e779d, #65a9d7);
    background: -o-linear-gradient(top, #3e779d, #65a9d7);
    padding: 5px 10px;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    border-radius: 8px;
    -webkit-box-shadow: rgba(0,0,0,1) 0 1px 0;
    -moz-box-shadow: rgba(0,0,0,1) 0 1px 0;
    box-shadow: rgba(0,0,0,1) 0 1px 0;
    text-shadow: rgba(0,0,0,.4) 0 1px 0;
    color: white;
    font-size: 14px;
    font-family: Helvetica, Arial, Sans-Serif;
    text-decoration: none;
    vertical-align: middle;
}
.rvbutton-blue:hover
{
    border-top-color: #28597a;
    background: #28597a;
    color: Yellow; /* #ccc; */
    
}
.rvbutton-blue:active
{
    border-top-color: #1b435e;
    background: #1b435e;
}

.rvbutton-red
{
    
    border-top: 1px solid #f5a4a4;
    background: #3c3c3c;
    background: -webkit-gradient(linear, left top, left bottom, from(#c82828), to(#3c3c3c));
    background: -webkit-linear-gradient(top, #c82828, #3c3c3c);
    background: -moz-linear-gradient(top, #c82828, #3c3c3c);
    background: -ms-linear-gradient(top, #c82828, #3c3c3c);
    background: -o-linear-gradient(top, #c82828, #3c3c3c);
    padding: 5px 10px;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    border-radius: 8px;
    -webkit-box-shadow: rgba(0,0,0,1) 0 1px 0;
    -moz-box-shadow: rgba(0,0,0,1) 0 1px 0;
    box-shadow: rgba(0,0,0,1) 0 1px 0;
    text-shadow: rgba(0,0,0,.4) 0 1px 0;
    color: white;
    /* font-size: 14px; */
    font-family: Helvetica, Arial, Sans-Serif;
    text-decoration: none;
    vertical-align: middle;
}

a.rvbutton { display: inline-block; text-decoration: none; /* font-size: 1em; */ }
a.rvbutton:link
{
    /*    border-top-color: #1b435e; background: #1b435e; */
    color: inherit;
    text-decoration: none;
}
a.rvbutton:visited
{    color: inherit;
    text-decoration: none;
}
a.rvbutton:hover
{
    border-top-color: #941515;
    /* background: #941515; */
    color: #CC0033;
    text-decoration: none;
    cursor: pointer;
    /* font-weight: bold; */
}


.rvbutton-cyan
{
    border-top: 1px solid #96d1f8;
    background: #65a9d7;
    background: -webkit-gradient(linear, left top, left bottom, from(#3e779d), to(#65a9d7));
    background: -webkit-linear-gradient(top, #3e779d, #65a9d7);
    background: -moz-linear-gradient(top, #3e779d, #65a9d7);
    background: -ms-linear-gradient(top, #3e779d, #65a9d7);
    background: -o-linear-gradient(top, #3e779d, #65a9d7);
    padding: 5px 10px;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    border-radius: 8px;
    -webkit-box-shadow: rgba(0,0,0,1) 0 1px 0;
    -moz-box-shadow: rgba(0,0,0,1) 0 1px 0;
    box-shadow: rgba(0,0,0,1) 0 1px 0;
    text-shadow: rgba(0,0,0,.4) 0 1px 0;
    color: white;
    font-size: 14px;
    font-family: Helvetica, Arial, Sans-Serif;
    text-decoration: none;
    vertical-align: middle;
}
.rvbutton-cyan:hover
{
    border-top-color: #28597a;
    background: #28597a;
    color: #ccc;
}
.rvbutton-cyan:active
{
    border-top-color: #1b435e;
    background: #1b435e;
}

/* Button Grey */
.rvbutton-grey
{
    background: #FFFFFF;
    background-color: #FFFFFF;
    background: -webkit-gradient(linear, left top, left bottom, from(#CCCCCC), to(#FFFFFF));
    background: -webkit-linear-gradient(top, #CCCCCC, #FFFFFF);
    background: -moz-linear-gradient(top, #CCCCCC, #FFFFFF);
    background: -o-linear-gradient(top, #CCCCCC, #FFFFFF);
    background: -ms-linear-gradient(top, #CCCCCC, #FFFFFF);
    -ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr=#CCCCCC, endColorstr=#FFFFFF, GradientType=1)";
    filter: progid:DXImageTransform.Microsoft.Gradient(StartColorStr='#CCCCCC', EndColorStr='#FFFFFF', GradientType=0);
    color: #000000;    
    border-top: 1px solid #e8e8e8;
    padding: 5px;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    border-radius: 8px;
    -webkit-box-shadow: rgba(0,0,0,1) 0 1px 0;
    -moz-box-shadow: rgba(0,0,0,1) 0 1px 0;
    box-shadow: rgba(0,0,0,1) 0 1px 0;
    text-shadow: rgba(0,0,0,.4) 0 1px 0;
    font-size: 14px;
    font-family: Helvetica, Arial, Sans-Serif;
    text-decoration: none;
    vertical-align: middle;
}
.rvbutton-grey:hover
{
    border-top-color: #EAEAEA;
    /* background-color: #A8A8A8; */
    color: inherit; /* #000; */
    cursor: pointer;
    /* font-weight: bold; */
   
}
.rvbutton-grey:active
{
    border-top-color: #A8A8A8;
    /* background-color: #EAEAEA; */
}

.button
{
    border-top: 1px solid #96d1f8;
    background: #65a9d7;
    background: -webkit-gradient(linear, left top, left bottom, from(#3e779d), to(#65a9d7));
    background: -webkit-linear-gradient(top, #3e779d, #65a9d7);
    background: -moz-linear-gradient(top, #3e779d, #65a9d7);
    background: -ms-linear-gradient(top, #3e779d, #65a9d7);
    background: -o-linear-gradient(top, #3e779d, #65a9d7);
    padding: 5px 10px;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    border-radius: 8px;
    -webkit-box-shadow: rgba(0,0,0,1) 0 1px 0;
    -moz-box-shadow: rgba(0,0,0,1) 0 1px 0;
    box-shadow: rgba(0,0,0,1) 0 1px 0;
    text-shadow: rgba(0,0,0,.4) 0 1px 0;
    color: white;
    /* font-size: 14px; */
    font-family: Georgia, serif;
    text-decoration: none;
    vertical-align: middle;
}
.button:hover
{
    border-top-color: #28597a;
    background: #28597a;
    /* color: Blue; */
}
.button:active
{
    border-top-color: #1b435e;
    background: #1b435e;
}

.gradient
{
    background: #65a9d7;
    background: -webkit-gradient(linear, left top, left bottom, from(#3e779d), to(#65a9d7));
    background: -webkit-linear-gradient(top, #3e779d, #65a9d7);
    background: -moz-linear-gradient(top, #3e779d, #65a9d7);
    background: -ms-linear-gradient(top, #3e779d, #65a9d7);
    background: -o-linear-gradient(top, #3e779d, #65a9d7);
    background-color: #65a9d7;
    -ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr=#3e779d, endColorstr=#65a9d7, GradientType=1)";
    filter: progid:DXImageTransform.Microsoft.Gradient(StartColorStr='#3e779d', EndColorStr='#65a9d7', GradientType=0);
    color: #FFFFFF;
    padding: 5px 10px;
}

